* {
	box-sizing: border-box;
}

html {
	height: 100%;
}

body {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	min-height: 100%;
	margin: 0;
	font: 1rem "Segoe UI", Arial, sans-serif;
	color: #222;
	background: #EEE;
	--color-primary: hsl(210, 75%, 50%);
	--color-secondary: hsl(210, 75%, 40%);
	--color-tertiary: hsl(210, 75%, 30%);
	--color-a: #EF8214;
	--color-b: #0679C6;
	--color-c: #E93842;
	--color-d: #5C7A33;
}

header {
	display: flex;
	justify-content: center;
	background: linear-gradient(
		rgba(0, 0, 0, .4),
		rgba(0, 0, 0, .4)
	), linear-gradient(
		135deg,
		var(--color-a) 0,
		var(--color-a) 25%,
		var(--color-b) 25%,
		var(--color-b) 50%,
		var(--color-c) 50%,
		var(--color-c) 75%,
		var(--color-d) 75%,
		var(--color-d) 100%
	);
}

nav {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

nav a {
	padding: .75rem 1.25rem;
	font-size: 1.25rem;
	color: white;
	text-decoration: none;
}

nav a.nav-icon {
	background: .5rem center / 2rem no-repeat;
	padding-left: 3rem;
}

nav a.icon-home {
	background-image: url("image/iconHome.png")
}

nav a.icon-quizzes {
	background-image: url("image/iconQuizzes.png");
}

nav a.icon-rooms {
	background-image: url("image/iconRooms.png");
}

nav a.icon-join-room {
	background-image: url("image/iconJoinRoom.png");
}

nav a.icon-about {
	background-image: url("image/iconAbout.png");
}

nav a.icon-connect {
	background-image: url("image/iconConnect.png");
}

nav a.icon-disconnect {
	background-image: url("image/iconDisconnect.png");
}

nav a.icon-create-account {
	background-image: url("image/iconCreateAccount.png");
}

nav a:hover,
nav a:focus {
	background-color: rgba(0, 0, 0, .3);
}

nav a:active {
	background-color: rgba(0, 0, 0, .6);
}

.wrapper {
	display: flex;
	flex: 1;
	justify-content: center;
}

main {
	flex: 1;
	max-width: 64rem;
	margin: 1rem 0;
	padding: 2rem;
	background: white;
	box-shadow: 0 0 1rem #AAA, inset 0 0 1rem #DDD;
	border-radius: 1rem;
}

main :first-child {
	margin-top: 0;
}

main :last-child {
	margin-bottom: 0;
}

.logo {
    display: block;
    margin: 0 auto;
    max-width: 50%;
	max-height: 10rem;
}

h1 {
	border-bottom: .125rem solid #E0E0E0;
}

footer {
	padding: 0 1rem 1rem;
	text-align: center;
}

form {
	max-width: 24rem;
	margin: 0 auto;
}

form input[type="text"],
form input[type="number"],
form input[type="password"],
form input[type="tel"],
form input[type="date"],
form input[type="email"],
select {
	padding: .375rem;
	border: .125rem solid #ccc;
}

.form-large {
	max-width: 40rem;
}

.input-large {
	padding: 0.75rem !important;
}

.input-all-width {
	width: 100% !important;
}

form input[disabled] {
	color: #444;
	background: #eee;
}

.button {
	display: block;
	font-size: 1.125rem;
	max-width: 24rem;
	margin: 0 auto;
	padding: .5rem;
	text-decoration: none;
	text-align: center;
	color: white;
	background: var(--color-primary);
	border: 0;
	cursor: pointer;
}

.button:hover,
.button:focus {
	background: var(--color-secondary);
}

.button:active {
	background: var(--color-tertiary);
}

.input-row {
	display: flex;
	align-items: center;
	padding: .75rem 0;
}

.input-row label {
	width: 40%;
}

.input-row input,
.input-row button {
	width: 60%;
}

.input-row input[type="submit"] {
	width: 100%;
}

.success,
.error,
.warning {
	padding: 1rem;
	border-radius: .5rem;
}

.success {
	background: #cfc;
	border: .125rem solid #8f8;
}

.error {
	background: #fcc;
	border: .125rem solid #f88;
}

.warning {
	background: rgb(255, 239, 204);
	border: .125rem solid rgb(255, 223, 136);
}

ul.table {
	display: flex;
	flex-wrap: wrap;
	padding: 0;
}

ul.table li {
	display: flex;
	width: 100%;
	list-style-type: none;
}

ul.table li+li {
	cursor: pointer;
}

ul.table li:first-child {
	font-weight: bold;
}

ul.table li:nth-child(even) {
	background: #F4F4F4;
}

ul.table li+li:hover {
	background: #E0E0E0;
}

ul.table li div {
	display: flex;
	align-items: center;
	padding: .25rem;
	word-wrap: anywhere;
	flex: 25 1 0;
}

hr {
	margin: 2rem 0;
	border: none;
	border-top: .125rem solid #E0E0E0;
}

.center {
	text-align: center;
}

.margin-h {
	margin-left: .5rem;
	margin-right: .5rem;
}

.margin-v {
	margin-top: .5rem;
	margin-bottom: .5rem;
}

.hidden {
	display: none !important;
}


@media (max-width: 40rem) {

	nav {
		flex: 1;
	}

	nav a {
		width: 100%;
		padding: .125rem;
		text-align: center;
	}

	ul.table {
		font-size: .875rem;
	}

	nav a.nav-icon {
		background-image: none;
		padding-left: .125rem;
	}

	#ul-questions .answers > li {
		width: 100% !important;
	}

	#answers li {
		width: 100% !important;
		padding: .5rem !important;
	}

	#answers li .answer {
		min-height: 4rem !important;
	}
}



/* Edit quizz */

#ul-questions {
	padding: 0;
	list-style-type: none;
}

#ul-questions > li {
	margin: 1.5rem 0;
	padding: 1rem;
	background-color: #F8F8F8;
	border: .125rem dashed #AAA;
	border-radius: 1rem;
}

#ul-questions > li .answers {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	list-style-type: none;
	margin: 1rem 0;
	padding: 0;
}

#ul-questions .answers h3 {
	margin-bottom: .75rem;
}

#ul-questions .answers > li {
	display: flex;
	flex-direction: column;
	width: calc(50% - .5rem);
	margin: .5rem 0;
	padding: .5rem;
}

.answer-inputs {
	display: flex;
	align-items: center;
}

.answer-inputs input[type="radio"] {
	width: 1.5rem;
	height: 1.5rem;
	margin: 0 .5rem 0 0;
	cursor: pointer;
}

.answer-inputs input[type="text"] {
	width: 100%;
	background: #FEE;
	border-color: #A00;
}

.answer-inputs input[type="radio"]:checked + input[type="text"] {
	background: #EFE;
	border-color: #0A0;
}

.question-input-row,
.quizz-input-row {
	display: flex;
	justify-content: space-between;
}

.question-input-row button {
	width: calc(100% / 3 - .5rem);
	padding: .25rem;
}

.quizz-input-row button {
	width: calc(100% / 3 - .5rem);
}



/* Room management */

#currentPlayers li {
    font-size: larger;
    font-weight: bold;
    list-style: none;
}

#currentPlayers li:nth-child(4n + 1) {
    color: var(--color-a);
}

#currentPlayers li:nth-child(4n + 2) {
    color: var(--color-b);
}

#currentPlayers li:nth-child(4n + 3) {
    color: var(--color-c);
}

#currentPlayers li:nth-child(4n + 4) {
    color: var(--color-d);
}

/* Room */

#timerSec {
	background: #fbdb9d;
    align-content: center;
    border-radius: 20px;
    padding: 10px;
    border: outset 1px #d6ad5d;
	font-weight: bold;
}

#viewQuestion,
#viewLeaderboard {
	word-break: break-word;
}

/* - Question */

#question-sentence {
	font-size: 2rem;
	text-align: center;
}

#answers {
	display: flex;
	flex-wrap: wrap;
	padding: 0;
}

#answers li {
	list-style-type: none;
	width: 50%;
	padding: 1rem;
}

.answer {
	color: white;
	font-family: inherit;
	font-size: 1.5rem;
	font-weight: bold;
	width: 100%;
	min-height: 6rem;
	background: #ccc;
	border: .5rem dashed transparent;
	-webkit-text-stroke-width: .0625rem;
    -webkit-text-stroke-color: black;
	cursor: pointer;
}
.answer[data-type="A"] {
	background-color: var(--color-a);
}
.answer[data-type="B"] {
	background-color: var(--color-b);
}
.answer[data-type="C"] {
	background-color: var(--color-c);
}
.answer[data-type="D"] {
	background-color: var(--color-d);
}
.selected-answer {
	border-color: rgba(0, 0, 0, 0.5);
}


/* - Leaderboard */

#your-answer-type,
#correct-answer-type{
	font-size: 1.2rem;
	font-weight: bold;
}

#your-answer-sentence,
#correct-answer-sentence {
	font-size: 1.2rem;
	font-style: italic;
}

#leaderboard-list.table li.leaderboard-item-you {
	background-color: #8F8;
	font-weight: bold;
}

#leaderboard-list.table .leaderboard-span-rank {
	padding-left: 1.75rem;
	font-weight: bold;
}

.trophy-gold {
	background: url("image/trophyGold.png") no-repeat;
	background-position: .25rem center;
	background-size: 1.25rem;
}

.trophy-silver {
	background: url("image/trophySilver.png") no-repeat;
	background-position: .25rem center;
	background-size: 1.25rem;
}

.trophy-bronze {
	background: url("image/trophyBronze.png") no-repeat;
	background-position: .25rem center;
	background-size: 1.25rem;
}
